{% extends 'base.html.twig' %}

{% block title %}Liste des films{% endblock %}

{% block main %}
    <a href="{{ path('film_new') }}">Nouveau film</a>
    {#{{  dump(films) }}#}
    {% include '_partial/film-table.html.twig' with {'films': films, 'offset': offset} only %}
    {#{{  include('_partial/film-table.html.twig', {'films': films}) }}#}
    {% if page > 1 %}
        <a href="{{ path('film_list', {'page' : page - 1}) }}">previous</a>
    {% endif %}
    {% if page < maxPage %}
        <a href="{{ path('film_list', {'page' : page + 1}) }}">next</a>
    {% endif %}

{% endblock %}